Subject: tkinter in python? (was: Re: fetchmail on cygwin)
From: "Gerrit P. Haase" <[email-masked]>
To: "David Monk" <[email-masked]>
Cc: [email-masked]
Date: Tue, 25 Sep 2001 13:09:36 +0200

> David Monk schrieb am 2001-09-24 12:53:

>I have just started trying to use fetchmail on cygwin. We have no MTA or MDA
>in cygwin, so how would one use fetchmail? I couldn't find anything on the
>fetchmail site except that now that they had SMTP forwarding code working,
>they were dropping support for other delivery methods. Fetchmail built
>cleanly right out of the box, which was great. I have not been able to get
>fetchmailconf to work. It says python was probably not configured for Tk. Is
>there something needed after a fresh install of cygwin to get that working
>right?

Python should have tk included.  

$ pydoc -g
Traceback (most recent call last):
  File "/usr/local/bin/pydoc", line 4, in ?
    pydoc.cli()
  File "/usr/lib/python2.1/pydoc.py", line 1819, in cli
    gui()
  File "/usr/lib/python2.1/pydoc.py", line 1790, in gui
    import Tkinter
  File "/usr/lib/python2.1/lib-tk/Tkinter.py", line 35, in ?
    import _tkinter # If this fails your Python may not be configured for Tk
ImportError: No module named _tkinter

It works great on cygwin.  I wonder why Jason didn't build it.  Jason?
I have it build at home and it compiles OOTB. (latest version from CVS).
I think he will release a new version soon.

For fetchmail you need a smtp server where it can connect and
deliver the mail, I have one installed locally.  Then you can connect
the server and pop your mails off.  I use a free MTA, Emwacs, but there
are others which are free, too.  netwinsite.com has 'dmail' to offer, which 
is free for personal use, and complete free available is Xmail at
www.xmailserver.org.

It also works in conjunction with procmail.  Procmail delivers mail
to a local mailbox file which you then can read with mutt.

All, including a sample fetchmailrc is available at:
http://www.dd.iij4u.or.jp/~madokam/

Gerrit

-- 
[email-masked]

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/